Skip to navigation

Restore Azure VM Instance

Restores an Azure VM instance from an Eon snapshot.

This operation is asynchronous. It triggers a restore job and returns a job ID, which can be used to track the progress of the restore job. You can follow the progress of the restore job by calling Get Restore Job with the job ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"

ID of the project the snapshot is in. You can get your project ID from the API Credentials page in your global management console.

idstringRequiredformat: "uuid"

Eon-assigned resource ID.

snapshotIdstringRequiredformat: "uuid"

ID of the Eon snapshot to restore.

Headers

X-Action-Approval-Request-IdstringOptionalformat: "uuid"

ID of an approved action request. Applicable only when the method is protected by an action approval policy and the action request has been approved. 

When used, the current API request must match the original request parameters. The approved action request can be executed only by the original requester.

Request

This endpoint expects an object.
restoreAccountIdstringRequired

Eon-assigned ID of the restore account.

destinationobjectRequired
Restore configuration.

Response

Applicable only when the method is protected by an action approval policy.

An action request was created in an initial state. The action request needs to be submitted for approval by passing its ID to Submit Action Approval Request.

actionApprovalRequestobject
Action request details.

Errors

404
Not Found Error